Doomsday Engine - Feature #1389

[InFine] Check if resource originates from an IWAD
2005-10-13 22:43 - danij

Status: New Start date:

Priority: Normal % Done:
Assignee:

Category: Enhancement

Target version: Modding

2005-10-13
0%

Description

The ability to check if a certain resource comes from
an IWAD would be particularly useful.

For example a fancy intro scripts/briefings could be
implemented in jDRP without needing to disable them if
running a PWAD with custom resources.

Another useful thing to know would be if a text string
has been replaced via Dehacked (when supported).

Labels: InFine

Related issues:
Related to Feature #1608: Integrate Doomsday Script
Related to Feature #1632: InFine 2.0 (on top of Doomsday Script)

Progressed
New

2013-10-22
2013-10-22

History

#1 - 2005-10-16 21:16 - skyjake

Logged In: YES
user_id=717323

The code to check if a specific wad lump is in an IWAD already exists. |
would assume that is helpful in implementing this.

#2 - 2009-10-04 22:27 - danij

- assigned_to: Daniel Swanson --> nobody

#3 - 2012-09-19 11:22 - danij

Logged In: YES
user_id=849456

I'd already noticed the code.

The RFE was mainly to remind me to do the necessary work in
InFine :-)

#4 - 2013-10-21 20:54 - skyjake

- Tags set to InFine

- Subject changed from Check if patch/texture/flat originates from an IWAD to [InFine] Check if resource originates from an IWAD

#5 - 2019-11-29 18:38 - skyjake
- Category set to Enhancement

- Target version set to Modding

#6 - 2019-11-29 18:38 - skyjake
- Related to Feature #1608: Integrate Doomsday Script added

2024-03-13
#7 - 2019-11-29 18:38 - skyjake
- Related to Feature #1632: InFine 2.0 (on top of Doomsday Script) added
